/*
  gIRtest.c
  October 6, 2015
  
  * Guest Badge IR receive.
*/
#include "simpletools.h"
#include "badgetools.h"
#include "datetime.h"

datetime dts = {2000, 1, 1, 0, 0, 0};

datetime dta, dtt;

int states;

void System_base();
void bLine();

int main()
{
  // Add startup code here.
  badge_setup();
  dt_start(&dts);

  text_size(SMALL);
  oledprint("Any BTN for Menu");
  pause(300);
  cog_run(System_base,128);
  while(1)
  {
    // Add main loop code here.

    text_size(SMALL);

      while(!buttons());
      cursor(0,0);
      bLine();
      cursor(0,0);
      oledprint("Receive-P27     ");

      while((states = buttons()) == 0);
      switch(states)
      {

        case 0b0000001:   //button P27
          cursor(0,0);
          bLine();
          cursor(0, 3);
          text_size(SMALL);
          oledprint("Waiting for IR");

          cursor(0,3);
          oledprint("Ready for IR  ");           // Display ready for IR
    
    // Wait for IR message
          irclear();                               // Clear ir com buffers
          memset(&dtt, 0, sizeof(datetime));       // Clear their variables
         while(1)
         {
          irscan("%d%d%d%d%d%d",
          &dtt.y, &dtt.mo, &dtt.d, &dtt.h, &dtt.m, &dtt.s);
          if(dtt.y > 0)
          {
            dt_copy(&dts, &dtt);
            cursor(0,0);
            bLine();
            cursor(0,3);
            bLine();
            cursor(0,6);
            oledprint("Got it:%02d/%02d/%02d",dts.mo, dts.d, dts.y % 100);
            cursor(0,0);
            oledprint("Any BTN for Menu");
            break;
          }        
         }
         //continue;
        
      }         
  }  
}


void bLine()
{
  oledprint("                 ");
}  

/* COG for running base utilty. */
void System_base()
{
  while(1)
  {
    cursor(0,7);
    text_size(SMALL);
    oledprint("%02d:%02d:%02d",dts.h, dts.m, dts.s);
    cursor(8,7);
    /*                         month     day   year, last two digits */
    oledprint("%02d/%02d/%02d",dts.mo, dts.d, dts.y % 100);
  }      
}

